<!--Carousel Wrapper-->
<mdb-carousel [isControls]="true" [animation]="'slide'">
  <!--First slide-->
  <mdb-carousel-item>
    <img class="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(130).jpg" alt="First slide">
  </mdb-carousel-item>
  <!--/First slide-->
  <!--Second slide-->
  <mdb-carousel-item>
    <img class="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(129).jpg" alt="Second slide">
  </mdb-carousel-item>
  <!--/Second slide-->
  <!--Third slide-->
  <mdb-carousel-item>
    <img class="d-block w-100" src="https://mdbootstrap.com/img/Photos/Slides/img%20(70).jpg" alt="Third slide">
  </mdb-carousel-item>
  <!--/Third slide-->
</mdb-carousel>
<div class="utilities">
  <div class="col-12">
    <div class="row">
      <div class="col-2">
        <i class="fas fa-wifi"></i>
        <p>Wireless</p>
      </div>
      <div class="col-2">
        test
      </div>
      <div class="col-2">
        test
      </div>
      <div class="col-2">
        test
      </div>
      <div class="col-2">
        test
      </div>
      <div class="col-2">
        test
      </div>
    </div>
  </div>
</div>

<div class="container">
  <div class="apartmentspreview margin-top-3">
    <h1 class="text-center margin-bottom-3">J&S Apartments</h1>
    <div class="row">
      <div class="col-sm-4 margin-bottom-2" *ngFor="let apartment of apartments | slice:0:6;">
        <div class="apartment">
          <mdb-carousel [isControls]="true" [animation]="'slide'">
            <mdb-carousel-item *ngFor="let item of apartment.images">
              <img class="d-block w-100" [src]="item.image" alt="First slide">
            </mdb-carousel-item>
          </mdb-carousel>
          <h2 [routerLink]="['/apartament', apartment.id]">{{ apartment.name }}</h2>
          <p>Zona: {{ apartment.location }}</p>
          <p>Reper: {{ apartment.reper }}</p>
          <p>Camere: {{ apartment.rooms }}</p>
          <p>Pret: {{ apartment.price }}</p>
          <p>{{ apartment.description}}</p>
        </div>
      </div>
    </div>
  </div>
</div>
